Skip to main content
GET
/
v1
/
batch-sessions
/
{batch_id}
Get Batch Session Status
curl --request GET \
  --url https://api.anchorbrowser.io/v1/batch-sessions/{batch_id} \
  --header 'anchor-api-key: <api-key>'
import requests

url = "https://api.anchorbrowser.io/v1/batch-sessions/{batch_id}"

headers = {"anchor-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'anchor-api-key': '<api-key>'}};

fetch('https://api.anchorbrowser.io/v1/batch-sessions/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "batch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "total_requests": 123,
    "completed_requests": 123,
    "failed_requests": 123,
    "processing_requests": 123,
    "pending_requests": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "actual_completion_time": "2023-11-07T05:31:56Z",
    "error": "<string>",
    "sessions": [
      {
        "item_index": 123,
        "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "cdp_url": "<string>",
        "live_view_url": "<string>",
        "error": "<string>",
        "retry_count": 123,
        "started_at": "2023-11-07T05:31:56Z",
        "completed_at": "2023-11-07T05:31:56Z",
        "metadata": {}
      }
    ],
    "progress": {
      "percentage": 50
    }
  }
}
{
"error": {
"code": 123,
"message": "<string>"
}
}
{
"error": {
"code": 123,
"message": "<string>"
}
}
{
"error": {
"code": 123,
"message": "<string>"
}
}

Authorizations

anchor-api-key
string
header
required

API key passed in the header

Path Parameters

batch_id
string<uuid>
required

The unique identifier of the batch

Response

Batch status retrieved successfully

data
object